<?php
namespace Teknisa\PED\Modules\Pedidos\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\PED\Modules\Pedidos\Factories\Ped04900RecalculoComissaoVendedorFactory as RecalculoComissaoVendedorFactory;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Libs\Util\NewCode;
use Zeedhi\Framework\DTO\Response\Error;
use Teknisa\Libs\Util\Environment;

class Ped04900RecalculoComissaoVendedorService {
    
    protected $entityManager;
	protected $environment;
	protected $recalculoComissaoVendedorFactory;

	public function __construct(EntityManager $entityManager, Environment $environment, $recalculoComissaoVendedorFactory){
		$this->entityManager = $entityManager;
		$this->environment	 = $environment;
		$this->recalculoComissaoVendedorFactory = $recalculoComissaoVendedorFactory;
	}
	
	public function recalculoComissaoVendedor($row){
		$itensComissao = $this->recalculoComissaoVendedorFactory->getComissaoVendedor($row);
		
		foreach ($itensComissao as $item) {
			$cdoperador = $this->environment->getCdOperador();
			$result = $this->recalculoComissaoVendedorFactory->procGeraComissaoVend($item, $cdoperador);
		}
	}
}
